Update Voice Template#
Updates a voice template. A new audio file replaces the stored file.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Base64 voice template id
titlestringbodyrequired
Template name
typestringbodyrequired
text_to_speech, audio_file, or record_voice
statusstringbody
active or inactive
texttospeechstringbody
Required when type is text_to_speech
audiofilebody
Replacement MP3 or WAV
curl --request PUT \
--url https://app.aisync.link/api/template/voice/MQ== \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Voicemail' \
--form 'type=text_to_speech' \
--form 'texttospeech=We missed you. Please call back.'messagestring
Voice template updated successfully.
POST /api/template/voice/update/{id} and PUT /api/template/voice/update/{id} call the same action.